# CompanyLanguage

## Performs the Get operation.

> Use this endpoint to execute the get workflow in CompanyLanguageController.

```json
{"openapi":"3.0.1","info":{"title":"WebApi | v1","version":"1.0.0"},"tags":[{"name":"CompanyLanguage"}],"servers":[{"url":"https://api.safegpt.nl/"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT bearer token. Example: 'Bearer {token}'.","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/v1/CompanyLanguage/Get/{companyId}":{"get":{"tags":["CompanyLanguage"],"summary":"Performs the Get operation.","description":"Use this endpoint to execute the get workflow in CompanyLanguageController.","parameters":[{"name":"companyId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK"},"401":{"description":"Authentication is required."},"403":{"description":"The user is not authorized to access this endpoint."}}}}}}
```

## Create company language.

> Use this endpoint to create company language.\
> \
> Required roles: Admin, Moderator.

```json
{"openapi":"3.0.1","info":{"title":"WebApi | v1","version":"1.0.0"},"tags":[{"name":"CompanyLanguage"}],"servers":[{"url":"https://api.safegpt.nl/"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT bearer token. Example: 'Bearer {token}'.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"CreateLanguageViewModel":{"required":["languageCode","voiceName"],"type":"object","properties":{"languageCode":{"type":"string","description":"Gets or sets the language code to enable for the company."},"voiceName":{"type":"string","description":"Gets or sets the Azure Speech voice short name for the selected language."}},"description":"Represents the payload for adding a language and voice mapping to a company."}}},"paths":{"/v1/CompanyLanguage/Create/{companyId}":{"post":{"tags":["CompanyLanguage"],"summary":"Create company language.","description":"Use this endpoint to create company language.\n\nRequired roles: Admin, Moderator.","parameters":[{"name":"companyId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateLanguageViewModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/CreateLanguageViewModel"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/CreateLanguageViewModel"}}},"required":true},"responses":{"200":{"description":"OK"},"401":{"description":"Authentication is required."},"403":{"description":"The user is not authorized to access this endpoint."}}}}}}
```

## Update company language.

> Use this endpoint to update company language.\
> \
> Required roles: Admin, Moderator.

```json
{"openapi":"3.0.1","info":{"title":"WebApi | v1","version":"1.0.0"},"tags":[{"name":"CompanyLanguage"}],"servers":[{"url":"https://api.safegpt.nl/"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT bearer token. Example: 'Bearer {token}'.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"UpdateLanguageViewModel":{"required":["languageCode","voiceName"],"type":"object","properties":{"languageCode":{"type":"string","description":"Gets or sets the target language code for the company language entry."},"voiceName":{"type":"string","description":"Gets or sets the Azure Speech voice short name linked to the language."}},"description":"Represents the payload for updating a company language and its configured voice."}}},"paths":{"/v1/CompanyLanguage/Update/{languageId}":{"put":{"tags":["CompanyLanguage"],"summary":"Update company language.","description":"Use this endpoint to update company language.\n\nRequired roles: Admin, Moderator.","parameters":[{"name":"languageId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateLanguageViewModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/UpdateLanguageViewModel"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/UpdateLanguageViewModel"}}},"required":true},"responses":{"200":{"description":"OK"},"401":{"description":"Authentication is required."},"403":{"description":"The user is not authorized to access this endpoint."}}}}}}
```

## Delete company language.

> Use this endpoint to delete company language.\
> \
> Required roles: Admin, Moderator.

```json
{"openapi":"3.0.1","info":{"title":"WebApi | v1","version":"1.0.0"},"tags":[{"name":"CompanyLanguage"}],"servers":[{"url":"https://api.safegpt.nl/"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT bearer token. Example: 'Bearer {token}'.","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/v1/CompanyLanguage/Delete/{languageId}":{"delete":{"tags":["CompanyLanguage"],"summary":"Delete company language.","description":"Use this endpoint to delete company language.\n\nRequired roles: Admin, Moderator.","parameters":[{"name":"languageId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK"},"401":{"description":"Authentication is required."},"403":{"description":"The user is not authorized to access this endpoint."}}}}}}
```

## Reorders the company language list.

> Applies the provided language identifier order for a company and persists updated list positions. This controls language display order in client applications.\
> \
> Required roles: Admin, Moderator.

```json
{"openapi":"3.0.1","info":{"title":"WebApi | v1","version":"1.0.0"},"tags":[{"name":"CompanyLanguage"}],"servers":[{"url":"https://api.safegpt.nl/"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT bearer token. Example: 'Bearer {token}'.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"RearrangeOrderViewModel":{"required":["ids"],"type":"object","properties":{"ids":{"type":"array","items":{"type":"string","format":"uuid"},"description":"Gets or sets the Ids."}},"description":"Represents the view model RearrangeOrderViewModel."}}},"paths":{"/v1/CompanyLanguage/RearrangeOrder/{companyId}":{"post":{"tags":["CompanyLanguage"],"summary":"Reorders the company language list.","description":"Applies the provided language identifier order for a company and persists updated list positions. This controls language display order in client applications.\n\nRequired roles: Admin, Moderator.","parameters":[{"name":"companyId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RearrangeOrderViewModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/RearrangeOrderViewModel"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/RearrangeOrderViewModel"}}},"required":true},"responses":{"200":{"description":"OK"},"401":{"description":"Authentication is required."},"403":{"description":"The user is not authorized to access this endpoint."}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.safegpt.nl/api-nl/endpoints/companylanguage.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
